summaryrefslogtreecommitdiffstats
path: root/mail/thunderbird/pkg-deinstall.in
diff options
context:
space:
mode:
authorahze <ahze@df743ca5-7f9a-e211-a948-0013205c9059>2005-11-14 12:12:10 +0800
committerahze <ahze@df743ca5-7f9a-e211-a948-0013205c9059>2005-11-14 12:12:10 +0800
commit10f20df13d5bb31ba0adee47cca87786f9f55a54 (patch)
tree24a11096e1315f726d54c91b00c153a53dfe79cc /mail/thunderbird/pkg-deinstall.in
parent6aeec1b976e64de14caa674fe7173e5be17e9b23 (diff)
downloadmarcuscom-ports-10f20df13d5bb31ba0adee47cca87786f9f55a54.tar
marcuscom-ports-10f20df13d5bb31ba0adee47cca87786f9f55a54.tar.gz
marcuscom-ports-10f20df13d5bb31ba0adee47cca87786f9f55a54.tar.bz2
marcuscom-ports-10f20df13d5bb31ba0adee47cca87786f9f55a54.tar.lz
marcuscom-ports-10f20df13d5bb31ba0adee47cca87786f9f55a54.tar.xz
marcuscom-ports-10f20df13d5bb31ba0adee47cca87786f9f55a54.tar.zst
marcuscom-ports-10f20df13d5bb31ba0adee47cca87786f9f55a54.zip
- Support Makefile.common in all mozilla ports
- Make all mozilla ports use system nss, nspr, and libm and some mozilla ports use system cairo - Do a bunch of much needed catch-up and sync work on many mozilla ports such as libesd and cups patch, and many other misc patches - This adds WITH_DEBUG/WITH_LOGGING to many mozilla ports that didn't have it before. - Extend EXTRACT_AFTER_ARGS so everything will extract faster. Todo: Sync thunderbird-devel with thunderbird THEN make it use Makefile.common git-svn-id: svn://creme-brulee.marcuscom.com/ports/trunk@5125 df743ca5-7f9a-e211-a948-0013205c9059
Diffstat (limited to 'mail/thunderbird/pkg-deinstall.in')
-rw-r--r--mail/thunderbird/pkg-deinstall.in26
1 files changed, 26 insertions, 0 deletions
diff --git a/mail/thunderbird/pkg-deinstall.in b/mail/thunderbird/pkg-deinstall.in
new file mode 100644
index 000000000..dac65033b
--- /dev/null
+++ b/mail/thunderbird/pkg-deinstall.in
@@ -0,0 +1,26 @@
+#!/bin/sh
+#
+# $FreeBSD$
+# $MCom$
+#
+# Date created: Mon Nov 29, 2003
+# Whom: Thierry Thomas (<thierry@pompo.net>)
+# Fix the chrome registry.
+
+umask 022
+PATH=/bin:/usr/bin
+
+[ "x$1" = "x" ] && exit 1
+[ "x$2" != "xDEINSTALL" ] && exit 0
+
+MOZDIR=%%MOZDIR%%
+
+rm -rf ${MOZDIR}/chrome/overlayinfo
+rm -f ${MOZDIR}/chrome/*.rdf
+rm -f ${MOZDIR}/component.reg
+rm -f ${MOZDIR}/components.ini
+rm -f ${MOZDIR}/defaults.ini
+rm -f ${MOZDIR}/components/*.dat
+rm -rf ${MOZDIR}/extensions
+
+exit 0